Skip to navigation

Get a charge point

One charger by its OCPP identity.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

charge_point_idstringRequired1-36 characters
The charger's OCPP identity.

Response

The requested object.
idstring
organization_idstring
charge_point_idstring
is_onlineboolean
is_roamingboolean
use_status_notification_0boolean
When true, OCPP 1.6 StatusNotification connectorId 0 updates every connector.
revisioninteger
ocpp_versionstring or nullOptional
charge_point_vendorstring or nullOptional
charge_point_modelstring or nullOptional
charge_point_serial_numberstring or nullOptional
charge_box_serial_numberstring or nullOptional
firmware_versionstring or nullOptional
last_heartbeatdatetime or nullOptional
iccidstring or nullOptional
imsistring or nullOptional
meter_typestring or nullOptional
meter_serial_numberstring or nullOptional
floor_levelstring or nullOptional
parking_restrictionslist of strings or nullOptional
capabilitieslist of strings or nullOptional
max_power_kwdouble or nullOptional
connector_typestring or nullOptional
connector_countinteger or nullOptional
accessibilitystring or nullOptional
location_idinteger or nullOptional
image_urlstring or nullOptional
proxy_urlsmap from strings to any or nullOptional
responded_atdatetime or nullOptional

Errors

401
Unauthorized Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error